<?php

global $defaults;

function minimal_option_defaults() {
	$default = array(
		'home_latest_article_box_color' 				=> '#FFFFFF',
		'social_accounts_color' 						=> '#333333',
		'home_article_by_category_background_color' 	=> '#FFFFFF',
		'home_latest_article_background_color' 			=> '#FFFFFF',
		'home_featured_article_box_color' 				=> '#FFFFFF',
		'home_featured_article_background_color' 		=> '#FFFFFF',
		'header_background_color' 						=> '#ffffff',
		'widgets_background_color' 						=> '#ecf1ff',
		'footer_background_color'						=> '#ffffff',
		'border_color' 									=> '#ECEEEE',
		'body_text_color' 								=> '#333333',
		'title_text_color' 								=> '#000000',
		'menu_text_color' 								=> '#000000',
		'minimal_primary_color'							=> '#2196F3',
		'minimal_accent_color'							=> '#a5aaa8',
		'button_background_color'						=> '#00B0FF',
		'button_text_color'								=> '#ffffff',
		'link_text_color'								=> '#000000',
		'link_hover_color'								=> '#000000',
		'home_article_by_category_box_color'			=> '#ffffff',
		'minimal_website_width' 						=> '100',
		'minimal_canvas_width' 							=> '1200px',
		'minimal_header_width'							=> '1200px',
		'minimal_menu_position'							=> 'right',
		'minimal_show_header_social' 					=> true,
		'minimal_body_font_size' 						=> '16px',
		'minimal_menu_font_size'						=> '16px',
		'body_h1_size' 									=> '36px',
		'body_h2_size' 									=> '24px',
		'body_h3_size' 									=> '16px',
		'body_h4_size' 									=> '16px',
		'body_h5_size' 									=> '16px',
		'body_h6_size' 									=> '16px',
		'blog_front_post_per_page_select' 				=> 6,
		'minimal_layout_single_sidebar_width'			=> 2,
		'minimal_blogposts_background_color' 			=> '#f2f2f2',
		'minimal_header_title_capitalization'			=> 'none',
		'minimal_widget_title_alignment'				=> 'left',
		'minimal_layout_blog'							=> 1,
		'minimal_copyright_text'						=> '',
		'minimal_show_footer_logo'						=> true,
		'minimal_show_footer_social_menu'				=> true,
		'minimal_featured_article_title' 				=> __('Editors Choice', 'minimal-magazine'),
		'minimal_home_blogposts_title' 					=> __('Our Stories', 'minimal-magazine'),
		'home_article_by_category_title' 				=> __('Our Stories', 'minimal-magazine'),
		'minimal_home_blogposts_layout' 				=> 1,
		'minimal_menu_layout' 							=> 'general',
		'minimal_hamburger_title'  						=> '',
		'minimal_header_menu_layout'  					=> 1,
		'minimal_layout_single_post'  					=> 1,
		'minimal_social_account_link_one' 				=> '',
		'minimal_social_account_link_two' 				=> '',
		'minimal_social_account_link_three' 			=> '',
		'minimal_social_account_link_four' 				=> '',
		'minimal_social_account_link_five' 				=> '',
		'minimal_social_account_link_six' 				=> '',
		'minimal_blog_pagination_type' 					=> 1,
		'minimal_show_scroll_to_top'					=> true,
		'minimal_blogposts_background_image'			=> false,
		'minimal_google_analytics_code'					=> false,
		'minimal_facebook_conversion_tracking'   		=> false,
		'minimal_show_site_comments'					=> true,
		'minimal_title_weight'							=> 'normal',
		'minimal_body_weight'							=> 'normal',
		'minimal_body_line_height'						=> 1.618,
		'minimal_show_post_meta_navigation'				=> true,
		'minimal_show_post_realted_article'				=> true,
		'minimal_show_post_tags'						=> true,
		'minimal_show_post_category'					=> true,
		'minimal_show_post_author_box'					=> true,
		'minimal_show_post_author_name'					=> true,
		'minimal_show_header_search'					=> true,
		'minimal_show_header_category_dropdown'			=> true,
		'home_article_by_category_title_position'		=> 'title-center',
		'minimal_home_blogposts_title_position'			=> 'title-center',
		'minimal_featured_article_title_position'		=> 'title-center',
		'home_latest_article_layout' 					=> 4,
		'home_featured_article_layout_selector' 		=> 1,
		'home_article_by_category_layout' 				=> 4,
		'meta_cat_background_color' 					=> '#00B0FF',
		'minimal_social_account_icon_one' 				=> '',
		'minimal_social_account_link_one' 				=> '',
		'minimal_social_account_icon_two' 				=> '',
		'minimal_social_account_link_two' 				=> '',
		'minimal_social_account_icon_three' 			=> '',
		'minimal_social_account_link_three' 			=> '',
		'minimal_social_account_icon_four' 				=> '',
		'minimal_social_account_link_four' 				=> '',
		'minimal_social_account_icon_five' 				=> '',
		'minimal_social_account_link_five' 				=> '',
		'minimal_social_account_icon_six' 				=> '',
		'minimal_social_account_link_six' 				=> '',
	);

      $options = get_option('customization',$default);
      $options = wp_parse_args( $options, $default );

	return $options;
}