<?php
global $defaults;
$defaults = minimal_option_defaults();
?>
<!DOCTYPE html>
<!-- Microdata markup added by Google Structured Data Markup Helper. -->
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="referrer" content="no-referrer-when-downgrade">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php do_action( 'minimal_before_site' ); ?>
<div id="page" class="hfeed site website-width">
<?php
	do_action( 'minimal_before_header' );?>
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'minimal-magazine' ); ?></a>
	<header id="masthead" class="site-header" role="banner">

	<div class="custom-header">
		<div class="custom-header-media">
			<?php the_custom_header_markup(); ?>
		</div>

		<?php do_action( 'minimal_header' ); ?>
	</div>

	</header>
<?php do_action( 'minimal_before_content' ); ?>
<div id="content" class="site-content">