<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package minimal-magazine
 */
get_header(); ?>
	<main id="primary" role="main" class="content-area">
		<section id="main" class="site-main">
		<div class="website__canvas">
		<div>

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<!-- Title for search results containing search term -->
				<h1 class="page-title heading-one">
					<?php
					/* translators: %s: search query. */
					printf( esc_html__( 'Search Results for: %s', 'minimal-magazine' ), '<span>' . get_search_query() . '</span>' );
					?>
				</h1>
			</header><!-- .page-header -->

			<ol>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php
				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
		if ( absint($defaults['minimal_layout_blog']) === 1 ){
			get_template_part( 'template-parts/content' );
		}else{
			get_template_part( 'template-parts/content-articles-two');
		}
				?>
			<?php endwhile; ?>
			</ol>

			<?php
				minimal_pagination();

		 else :
			 get_template_part( 'template-parts/content', 'none' );

		 endif;
		 ?>
		</div>
		</div>
		</section>
	</main>
<?php get_sidebar(); ?>
<?php get_footer(); ?>