<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package minimal-magazine
 */
global $defaults;
//Log the view counts.
get_header();
do_action('minimal_before_main_content');

$minimal_layout_single_post = absint($defaults['minimal_layout_single_post']);

 ?>

<div class="website__canvas">
<div class="row">
	<main id="primary" role="main" class="content-area single-post__content <?php minimal_determine_single_content_width(); ?>">
		<div id="main" class="site-main row">
		<?php while ( have_posts() ) : the_post();

		do_action( 'minimal_single_post_before' );

		if ( $minimal_layout_single_post === 1 ){
			get_template_part( 'template-parts/single', 'article-one' );
		}else{
			get_template_part( 'template-parts/single', 'article-two' );
		}

		do_action( 'minimal_single_post_after' );

		?>

		<?php endwhile; ?>

		</div>
	</main>
	<?php get_sidebar(); ?>
</div>
</div>

<?php
do_action('minimal_after_main_content');
get_footer();