<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package minimal-magazine
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class("col-md-12 blog__post--lb-2");?> data-aos="zoom-out-down" data-aos-duration="1000" data-aos-easing="ease-out-quad" data-aos-once="true">
<div class="row">
	<header class="col-md-3 col-sm-3 entry-header entry-header--lb-2">
		<?php
			the_title( sprintf( '<h3 class="entry-title headline-two"><a href="%s">', esc_url( get_permalink() ) ), '</a></h3>' );
			minimal_published_on();
		?>
	</header>
	<div class="col-md-4 col-sm-4 excerpt--lb-2">
		<?php the_excerpt();?>
	</div>
	<div class="col-md-5 col-sm-5 featured-image--lb-2">
		<?php minimal_post_thumbnail();?>
	</div>
</div>
</article>